การลงทะเบียนและยกเลิกประเภทการระงับการใช้งาน
การลงทะเบียนประเภทการระงับการใช้งาน¶
ลงทะเบียนประเภทที่จะใช้เมื่อมีการระงับการใช้งานในเซิร์ฟเวอร์ Hive ประเภทที่ลงทะเบียนแล้วจะใช้เป็นพารามิเตอร์หมายเลขประเภทการระงับการใช้งาน (block_type) ใน API การลงทะเบียนการระงับการใช้งาน รูปแบบป๊อปอัปสามารถเลือกได้ระหว่างการจำกัดตามนโยบายการดำเนินงาน (type_status=O) และการจำกัดชั่วคราว (type_status=N) โดยภาษาเกาหลีและภาษาอังกฤษเป็นภาษาที่ต้องลงทะเบียน โปรดดูคู่มือคอนโซล การยืนยันตัวตน > การระงับการใช้งาน > ลงทะเบียนประเภท
Basics¶
| คำอธิบาย | |
|---|---|
| Request URL | ใช้งานจริง: https://auth.qpyou.cn/game/block/type/set แซนด์บ็อกซ์: https://sandbox-auth.qpyou.cn/game/block/type/set |
| Method | POST |
| HTTP Header | Content-type: application/json ISCRYPT: 0 |
| Response Format | JSON |
Request¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| appid | String | O | App ID |
| hive_certification_key | String | O | คีย์การรับรอง Hive (ออกจาก App Center) ดูรายละเอียด |
| type_status | String | O | รูปแบบป๊อปอัปการระงับการใช้งาน
|
| type_name | String | O | ชื่อประเภทการระงับการใช้งาน (ภาษาเกาหลี) ลงทะเบียนได้สูงสุด 200 bytes |
| type_en_name | String | O | ชื่อประเภทการระงับการใช้งาน (ภาษาอังกฤษ) ลงทะเบียนได้สูงสุด 200 bytes |
| reasons | Array | O | รายการเหตุผลการระงับการใช้งาน (อาร์เรย์ข้อความตามภาษา) |
| reasons[].language | String | O | รหัสภาษา
|
| reasons[].title | String | O (type_status=N), X (type_status=O) | หัวข้อเหตุผลการระงับการใช้งาน เมื่อเป็น type_status=N (จำกัดชั่วคราว) ต้องส่งเสมอ และหากส่งเมื่อเป็น type_status=O (จำกัดตามนโยบายการดำเนินงาน) จะเกิดข้อผิดพลาดลงทะเบียนได้สูงสุด 200 bytes |
| reasons[].reason | String | O | เนื้อหาเหตุผลการระงับการใช้งาน กรณีจำกัดตามนโยบายการดำเนินงาน ( type_status=O) ลงทะเบียนได้สูงสุด 200 bytes และกรณีจำกัดชั่วคราว (type_status=N) ลงทะเบียนได้สูงสุด 400 bytes |
Response¶
| Parameter | Type | Description |
|---|---|---|
| result_code | Integer | รหัสผลลัพธ์
|
| result_msg | String | ข้อความผลลัพธ์ |
| data | Object | ข้อมูลผลลัพธ์ |
| data.block_type | Integer | หมายเลขประเภทการระงับการใช้งานที่ลงทะเบียน |
คำขอลงทะเบียนประเภทจำกัดตามนโยบายการดำเนินงาน¶
ใช้คำขอนี้เมื่อลงทะเบียนประเภทจำกัดตามนโยบายการดำเนินงาน ตั้งค่า type_status เป็น O และส่งเนื้อหาเหตุผลการระงับการใช้งานตามภาษาไปพร้อมกัน
curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "O", "type_name": "불법 프로그램 이용", "type_en_name": "Usage of unauthorized programs", "reasons": [{"language": "ko", "reason": "불법 프로그램 이용"}, {"language": "en", "reason": "Use of Unauthorized Programs"}, {"language": "ja", "reason": "使用非法程序"}]}'
คำขอลงทะเบียนประเภทจำกัดชั่วคราว¶
ใช้คำขอนี้เมื่อลงทะเบียนประเภทจำกัดชั่วคราว ตั้งค่า type_status เป็น N และส่งหัวข้อกับเนื้อหาเหตุผลตามภาษาไปพร้อมกัน
curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "N", "type_name": "임시 접속 제한(게임 데이터 수정)", "type_en_name": "Temporary access restriction (game data modified)", "reasons": [{"language": "ko", "title": "게임 이용에 불편을 드려 죄송합니다.", "reason": "현재 게임 데이터를 수정하는 중입니다. 빠른 조치를 위해 최선을 다하겠습니다."}, {"language": "en", "title": "We apologize for any inconvenience you may have experienced.", "reason": "We are currently modifying the game data. We will try our best to resolve the issue as soon as possible."}, {"language": "ja", "title": "ご利用中にご不便をおかけし、大変申し訳ございません。", "reason": "只今ゲームデータを修正しています。迅速な解決に向けて最善を尽くします。"}]}'
ตรวจสอบการตอบกลับการลงทะเบียนประเภทการระงับการใช้งาน¶
หากคำขอลงทะเบียนประเภทสำเร็จ ให้ตรวจสอบหมายเลขประเภทการระงับการใช้งานที่ลงทะเบียนจากค่า block_type ในข้อมูลตอบกลับ
การลบประเภทการระงับการใช้งาน¶
ลบประเภทการระงับการใช้งานที่ลงทะเบียนไว้จากเซิร์ฟเวอร์ Hive ได้ ประเภทที่มีข้อมูลผู้ใช้ซึ่งกำลังถูกระงับการใช้งานอยู่ในขณะนี้จะไม่สามารถลบได้
Basics¶
| คำอธิบาย | |
|---|---|
| Request URL | ใช้งานจริง: https://auth.qpyou.cn/game/block/type/delete แซนด์บ็อกซ์: https://sandbox-auth.qpyou.cn/game/block/type/delete |
| Method | POST |
| HTTP Header | Content-type: application/json ISCRYPT: 0 |
| Response Format | JSON |
Request¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| appid | String | O | App ID |
| hive_certification_key | String | O | คีย์การรับรอง Hive (ออกจาก App Center) ดูรายละเอียด |
| block_type | Integer | O | หมายเลขประเภทการระงับการใช้งาน |
Response¶
| Parameter | Type | Description |
|---|---|---|
| result_code | Integer | รหัสผลลัพธ์
|
| result_msg | String | ข้อความผลลัพธ์ |
Request examples¶
curl -X POST https://auth.qpyou.cn/game/block/type/delete \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "block_type": 88}'